pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E075 : Short_Integer; pragma Import (Ada, E075, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E050 : Short_Integer; pragma Import (Ada, E050, "ada__containers_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__io_exceptions_E");
   E032 : Short_Integer; pragma Import (Ada, E032, "ada__numerics_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "ada__strings__maps_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "ada__strings__maps__constants_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "interfaces__c_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "system__object_reader_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "system__dwarf_lines_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "system__soft_links__initialize_E");
   E049 : Short_Integer; pragma Import (Ada, E049, "system__traceback__symbolic_E");
   E031 : Short_Integer; pragma Import (Ada, E031, "system__img_int_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "system__img_uns_E");
   E342 : Short_Integer; pragma Import (Ada, E342, "ada__assertions_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__strings__utf_encoding_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "ada__tags_E");
   E109 : Short_Integer; pragma Import (Ada, E109, "ada__strings__text_buffers_E");
   E153 : Short_Integer; pragma Import (Ada, E153, "gnat_E");
   E213 : Short_Integer; pragma Import (Ada, E213, "interfaces__c__strings_E");
   E107 : Short_Integer; pragma Import (Ada, E107, "ada__streams_E");
   E202 : Short_Integer; pragma Import (Ada, E202, "system__file_control_block_E");
   E141 : Short_Integer; pragma Import (Ada, E141, "system__finalization_root_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "ada__finalization_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "system__file_io_E");
   E223 : Short_Integer; pragma Import (Ada, E223, "system__regpat_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "system__storage_pools_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "system__finalization_masters_E");
   E228 : Short_Integer; pragma Import (Ada, E228, "system__storage_pools__subpools_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "ada__strings__unbounded_E");
   E271 : Short_Integer; pragma Import (Ada, E271, "system__task_info_E");
   E265 : Short_Integer; pragma Import (Ada, E265, "system__task_primitives__operations_E");
   E158 : Short_Integer; pragma Import (Ada, E158, "ada__calendar_E");
   E236 : Short_Integer; pragma Import (Ada, E236, "ada__calendar__delays_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "ada__calendar__time_zones_E");
   E197 : Short_Integer; pragma Import (Ada, E197, "ada__text_io_E");
   E155 : Short_Integer; pragma Import (Ada, E155, "gnat__calendar_E");
   E357 : Short_Integer; pragma Import (Ada, E357, "gnat__directory_operations_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "system__checked_pools_E");
   E189 : Short_Integer; pragma Import (Ada, E189, "system__pool_global_E");
   E218 : Short_Integer; pragma Import (Ada, E218, "gnat__expect_E");
   E381 : Short_Integer; pragma Import (Ada, E381, "system__random_seed_E");
   E368 : Short_Integer; pragma Import (Ada, E368, "system__regexp_E");
   E361 : Short_Integer; pragma Import (Ada, E361, "ada__directories_E");
   E285 : Short_Integer; pragma Import (Ada, E285, "system__tasking__initialization_E");
   E295 : Short_Integer; pragma Import (Ada, E295, "system__tasking__protected_objects_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "system__tasking__protected_objects__entries_E");
   E293 : Short_Integer; pragma Import (Ada, E293, "system__tasking__queuing_E");
   E232 : Short_Integer; pragma Import (Ada, E232, "system__img_lli_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "system__img_llu_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "gnat__calendar__time_io_E");
   E321 : Short_Integer; pragma Import (Ada, E321, "gnat__debug_pools_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "gnatcoll__atomic_E");
   E319 : Short_Integer; pragma Import (Ada, E319, "gnatcoll__memory_E");
   E255 : Short_Integer; pragma Import (Ada, E255, "gnatcoll__plugins_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "gnatcoll__storage_pools__headers_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "gnatcoll__refcount_E");
   E216 : Short_Integer; pragma Import (Ada, E216, "gnatcoll__string_builders_E");
   E313 : Short_Integer; pragma Import (Ada, E313, "gnatcoll__strings_impl_E");
   E311 : Short_Integer; pragma Import (Ada, E311, "gnatcoll__strings_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__strings_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "gnatcoll__mmap_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "gnatcoll__mmap__system_E");
   E336 : Short_Integer; pragma Import (Ada, E336, "gnatcoll__templates_E");
   E338 : Short_Integer; pragma Import (Ada, E338, "gnatcoll__terminal_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "gnatcoll__utils_E");
   E191 : Short_Integer; pragma Import (Ada, E191, "gnatcoll__sql_impl_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "gnatcoll__sql_E");
   E352 : Short_Integer; pragma Import (Ada, E352, "gnatcoll__io_E");
   E370 : Short_Integer; pragma Import (Ada, E370, "gnatcoll__path_E");
   E359 : Short_Integer; pragma Import (Ada, E359, "gnatcoll__io__native_E");
   E373 : Short_Integer; pragma Import (Ada, E373, "gnatcoll__remote_E");
   E377 : Short_Integer; pragma Import (Ada, E377, "gnatcoll__remote__db_E");
   E355 : Short_Integer; pragma Import (Ada, E355, "gnatcoll__io__remote_E");
   E372 : Short_Integer; pragma Import (Ada, E372, "gnatcoll__io__remote__unix_E");
   E375 : Short_Integer; pragma Import (Ada, E375, "gnatcoll__io__remote__windows_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "gnatcoll__vfs_E");
   E315 : Short_Integer; pragma Import (Ada, E315, "gnatcoll__traces_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "gnatcoll__sql__exec_E");
   E257 : Short_Integer; pragma Import (Ada, E257, "gnatcoll__sql__exec__tasking_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E257 := E257 - 1;
         if E257 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E251 := E251 - 1;
         if E251 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E251 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E315 := E315 - 1;
         if E315 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E315 = 0 then
            F8;
         end if;
      end;
      E346 := E346 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E346 = 0 then
            F9;
         end if;
      end;
      E355 := E355 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E355 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E373 := E373 - 1;
         if E373 = 0 then
            F11;
         end if;
      end;
      E359 := E359 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E359 = 0 then
            F12;
         end if;
      end;
      E352 := E352 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E352 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E173 := E173 - 1;
         if E173 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E173 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E191 := E191 - 1;
         if E191 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E191 = 0 then
            F17;
         end if;
      end;
      E338 := E338 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E338 = 0 then
            F18;
         end if;
      end;
      E178 := E178 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E178 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E319 := E319 - 1;
         if E319 = 0 then
            F20;
         end if;
      end;
      declare
         procedure F21;
         pragma Import (Ada, F21, "gnat__debug_pools__finalize_body");
      begin
         E321 := E321 - 1;
         if E321 = 0 then
            F21;
         end if;
      end;
      declare
         procedure F22;
         pragma Import (Ada, F22, "gnat__debug_pools__finalize_spec");
      begin
         if E321 = 0 then
            F22;
         end if;
      end;
      E297 := E297 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E297 = 0 then
            F23;
         end if;
      end;
      declare
         procedure F24;
         pragma Import (Ada, F24, "ada__directories__finalize_body");
      begin
         E361 := E361 - 1;
         if E361 = 0 then
            F24;
         end if;
      end;
      declare
         procedure F25;
         pragma Import (Ada, F25, "ada__directories__finalize_spec");
      begin
         if E361 = 0 then
            F25;
         end if;
      end;
      E368 := E368 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__regexp__finalize_spec");
      begin
         if E368 = 0 then
            F26;
         end if;
      end;
      E218 := E218 - 1;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__expect__finalize_spec");
      begin
         if E218 = 0 then
            F27;
         end if;
      end;
      E189 := E189 - 1;
      declare
         procedure F28;
         pragma Import (Ada, F28, "system__pool_global__finalize_spec");
      begin
         if E189 = 0 then
            F28;
         end if;
      end;
      E197 := E197 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E197 = 0 then
            F29;
         end if;
      end;
      E133 := E133 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E133 = 0 then
            F30;
         end if;
      end;
      E228 := E228 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E228 = 0 then
            F31;
         end if;
      end;
      E187 := E187 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E187 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E201 := E201 - 1;
         if E201 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, False, True, False, 
           False, True, False, True, False, True, True, False, 
           True, False, True, False, False, False, True, False, 
           True, False, False, True, False, False, False, False, 
           False, False, False, True, True, True, False, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E050 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E050 := E050 + 1;
      if E070 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E070 := E070 + 1;
      if E032 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E032 := E032 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E102 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E105 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E105 := E105 + 1;
      if E055 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E055 := E055 + 1;
      if E026 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E026 := E026 + 1;
      if E084 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E084 := E084 + 1;
      if E062 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      if E075 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E075 := E075 + 1;
      if E098 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E098 := E098 + 1;
      E019 := E019 + 1;
      if E049 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E049 := E049 + 1;
      if E031 = 0 then
         System.Img_Int'Elab_Spec;
      end if;
      E031 := E031 + 1;
      E023 := E023 + 1;
      if E065 = 0 then
         System.Img_Uns'Elab_Spec;
      end if;
      E065 := E065 + 1;
      E062 := E062 + 1;
      if E342 = 0 then
         Ada.Assertions'Elab_Spec;
      end if;
      E342 := E342 + 1;
      if E111 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E119 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E119 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E119 := E119 + 1;
      if E109 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E109 := E109 + 1;
      if E153 = 0 then
         Gnat'Elab_Spec;
      end if;
      E153 := E153 + 1;
      if E213 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E213 := E213 + 1;
      if E107 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E107 := E107 + 1;
      if E202 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E202 := E202 + 1;
      if E141 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E141 := E141 + 1;
      if E139 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E139 := E139 + 1;
      if E201 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E201 := E201 + 1;
      if E223 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E223 := E223 + 1;
      if E185 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E185 := E185 + 1;
      if E187 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E187 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E187 := E187 + 1;
      if E228 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E228 := E228 + 1;
      if E133 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E133 := E133 + 1;
      if E271 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E271 := E271 + 1;
      if E265 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E265 := E265 + 1;
      if E158 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E158 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E158 := E158 + 1;
      if E236 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E236 := E236 + 1;
      if E164 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E164 := E164 + 1;
      if E197 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E197 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E197 := E197 + 1;
      if E155 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E155 := E155 + 1;
      if E357 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E357 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E357 := E357 + 1;
      if E330 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E330 := E330 + 1;
      if E189 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E189 := E189 + 1;
      if E218 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E218 := E218 + 1;
      if E381 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E381 := E381 + 1;
      if E368 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E368 := E368 + 1;
      if E361 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E361 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E361 := E361 + 1;
      if E285 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E285 := E285 + 1;
      if E295 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E295 := E295 + 1;
      if E297 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E297 := E297 + 1;
      if E293 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E293 := E293 + 1;
      if E232 = 0 then
         System.Img_Lli'Elab_Spec;
      end if;
      E232 := E232 + 1;
      if E204 = 0 then
         System.Img_Llu'Elab_Spec;
      end if;
      E204 := E204 + 1;
      if E195 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E195 := E195 + 1;
      if E321 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E321 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E321 := E321 + 1;
      E176 := E176 + 1;
      if E319 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E319 := E319 + 1;
      E255 := E255 + 1;
      E180 := E180 + 1;
      if E178 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E178 := E178 + 1;
      E216 := E216 + 1;
      E313 := E313 + 1;
      if E311 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E311 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E311 := E311 + 1;
      if E332 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E334 := E334 + 1;
      E332 := E332 + 1;
      if E336 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E336 := E336 + 1;
      if E338 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E338 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E338 := E338 + 1;
      E207 := E207 + 1;
      if E191 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E191 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E191 := E191 + 1;
      if E173 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E173 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E173 := E173 + 1;
      if E352 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E352 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E352 := E352 + 1;
      if E370 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E370 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E370 := E370 + 1;
      if E359 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E359 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E359 := E359 + 1;
      if E373 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E373 := E373 + 1;
      if E377 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E377 := E377 + 1;
      if E355 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E372 := E372 + 1;
      E375 := E375 + 1;
      if E355 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E355 := E355 + 1;
      if E346 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E346 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E346 := E346 + 1;
      if E315 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E315 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E315 := E315 + 1;
      if E251 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E301 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E301 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E301 := E301 + 1;
      if E251 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E251 := E251 + 1;
      if E257 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E257 := E257 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/stage/usr/lib/gnatcoll_sql/
   --   -L/usr/lib/libgpr/
   --   -L/usr/lib/xmlada/
   --   -L/usr/lib/gnatcoll/
   --   -L/usr/lib/gcc/i686-redhat-linux/13/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
